Application Server Solutions for Microsoft IIS and ASP.NET
       solutions   products   partners   company   support   downloads         store
BlueDragon Self-Help: FAQ
Back to Search >  Back to Search Results

Faq ID 194
Product ServletExec
Category Installation, Web Server Support
Question Is ServletExec supported with Apache 2.0.x?
Answer
  • ServletExec 5.0 officially supports Apache 2.0.x on various Windows and Unix platforms. Please see the System Requirements area of this website for specific Operating Systems and versions.
  • ServletExec 4.x on Unix also supports Apache 2.0.x with a little extra effort on your part. Here is some background:
    Apache 2.0.x uses a completely different architecture/API than Apache 1.3.x

    On the Windows operating system, ServletExec 4.2 is not supported with Apache 2.0.x
    On a Unix operating system however, SE 4.2 should work with some added effort.
    You must:
    1. Run the ServletExec 4.2 AS installer against Apache 1.3.x.
      (Note: This is the only time that you will run the SE installer)
      This is done in order to get an SE AS Java instance installed and running. Turn it and your Apache 1.3.x on, and make sure you can run /servlet/TestServlet. Now you can shutdown your Apache 1.3.x but leave SE up and running.
    2. Access: ftp://ftp.newatlanta.com/public/servletexec/4_2/patches/ via anonymous FTP
    3. Download mod_servletexec2.c and the ReadMe.txt which describes how to install it against Apache 2.0.x(way at the end of the ReadMe).
    4. Edit the httpd.conf file of your Apache 2.0.x so that it contains the neccessary ServletExec-specific directives (discussed in the SE 4.2 Installation Guide, and also present in the httpd.conf of your Apache 1.3.x assuming that you allowed the installer to update httpd.conf for you)
    5. Now startup your Apache 2.0.x and try to access /servlet/TestServlet



   
company media information terms of use privacy policy contact us